Bug 202567 - IRQ 11 nobody cared
IRQ 11 nobody cared
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-08-15 02:10 EDT by Konstantin Antselovich
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-14 10:26:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
dmesg (17.91 KB, text/plain)
2006-08-15 02:10 EDT, Konstantin Antselovich
no flags Details
dmesg after kernel disables irq (20.83 KB, text/plain)
2006-08-15 02:13 EDT, Konstantin Antselovich
no flags Details
acpidump output (68.56 KB, application/octet-stream)
2006-08-17 06:44 EDT, Konstantin Antselovich
no flags Details

  None (edit)
Description Konstantin Antselovich 2006-08-15 02:10:59 EDT
Description of problem: kernel disables IRQ#11 when switching to a console, when
X restarts or after suspend-resume.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Boot to Level 5 
2. -+CTRL+ALT+F{n} to switch to conole
    +-or login-logot
    +-or suspend-resume
Actual results:

kernel disables IRQ11 equipment that uses that IRQ become unusable.
(network, usb and sound in my case)

irq 11: nobody cared (try booting with the "irqpoll" option)
 <c043e036> __report_bad_irq+0x36/0x7d  <c043e204> note_interrupt+0x187/0x1b7
 <c043db72> handle_IRQ_event+0x23/0x4c  <c043dc3b> __do_IRQ+0xa0/0xd1
 <c0405035> do_IRQ+0x63/0x80
 <c04036f2> common_interrupt+0x1a/0x20  <c0420706> __do_softirq+0x2c/0x7f
 <c040508a> do_softirq+0x38/0x42
 <c0405047> do_IRQ+0x75/0x80  <c04036f2> common_interrupt+0x1a/0x20
 <c0402cb3> syscall_call+0x7/0xb
[<c057098f>] (yenta_interrupt+0x0/0xb3)
[<c057098f>] (yenta_interrupt+0x0/0xb3)
[<f03e2a9e>] (snd_intel8x0_interrupt+0x0/0x1d1 [snd_intel8x0])
[<f03fa4a0>] (snd_intel8x0_interrupt+0x0/0x1a8 [snd_intel8x0m])
[<f0494bcc>] (ohci_irq_handler+0x0/0x73d [ohci1394])
[<c057662d>] (usb_hcd_irq+0x0/0x4f)
[<c057662d>] (usb_hcd_irq+0x0/0x4f)
[<f039a955>] (rtl8139_interrupt+0x0/0x3cd [8139too])
Disabling IRQ #11

Expected results:

system should work w/out problems after resume or X restart

Additional info:

full dmesg are attached.

  0:    3876831          XT-PIC  timer
  1:        369          XT-PIC  i8042
  2:          0          XT-PIC  cascade
  7:          3          XT-PIC  parport0
  8:          1          XT-PIC  rtc
  9:          1          XT-PIC  acpi
 11:    2100000          XT-PIC  yenta, yenta, Intel 82801CA-ICH3, Intel
82801CA-ICH3 Modem, ohci1394, uhci_hcd:usb1, uhci_hcd:usb2, eth0
 12:        106          XT-PIC  i8042
 14:     103752          XT-PIC  ide0
 15:     138039          XT-PIC  ide1
NMI:          0
LOC:          0
ERR:          0
MIS:          0
Comment 1 Konstantin Antselovich 2006-08-15 02:11:00 EDT
Created attachment 134190 [details]
Comment 2 Konstantin Antselovich 2006-08-15 02:13:19 EDT
Created attachment 134191 [details]
dmesg after kernel disables irq
Comment 3 Konstantin Antselovich 2006-08-17 06:44:55 EDT
Created attachment 134375 [details]
acpidump output
Comment 4 Dave Jones 2006-10-16 20:55:20 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 5 Konstantin Antselovich 2006-10-16 21:39:08 EDT
this issue is related to X11, and [possibly] to X11-i810/intel driver and intelfb

This did occur with xorg-server-X11-Xorg 1.0.8

I'm using xorg-server-X11-Xorg 1.1.1-xxx from AIGLX fedora repo, where this
issue does not happen.

Please don't close this bug. I will upgrade to 2.6.18, downgrade X11 and report
back in a few days.

Thanks for update,
Comment 6 Konstantin Antselovich 2006-11-14 10:26:41 EST
this bug does not present on FC6 2.6.18-1.2849 and 2.6.18-1.2798 kernels.  
No issues with either suspend/resume nor switching to a text console.  Perhaps
this bug can be closed.  


Note You need to log in before you can comment on or make changes to this bug.